Name:           org-mc4j-ems
Version:        1.2.15.1
Release:        4%{?dist}
Epoch:          0
Summary:        Connection library behind MC4J

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://mc4j.org/confluence/display/mc4j/Home
#svn export https://mc4j.svn.sourceforge.net/svnroot/mc4j/tags/ems_1_2_15_1/modules/ems/ org-mc4j-ems-1.2.15.1
#tar -jcf org-mc4j-ems-1.2.15.1.tar.bz2 org-mc4j-ems-1.2.15.1/
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.pom
Source2:        objectprofiler.jar
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       java
Requires:       jpackage-utils
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  j2ee-management
BuildRequires:  jboss-ejb-3.1-api
BuildRequires:  mx4j
BuildRequires:  ognl
BuildRequires:  testng
BuildRequires:  jakarta-commons-logging-jboss
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
EMS is the connection library behind MC4J.
It is an adapter layer to allow simultaneous access to 
any number of MBean servers from different AS vendors 
and different versions of those. It uses classloading 
isolation per connection to avoid the typical serialization 
problems and can load the correct libraries from installations 
of the target app servers. It also provides a cached, 
object form of the MBeanInfo metadata that eases writing tools 
that connect to many MBean Servers.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q 

find -type f -name "*.jar" | xargs -t rm

ln -s $(build-classpath jakarta-commons-logging-jboss) lib/commons-logging-1.1.0.jboss.jar
build-jar-repository -s -p lib/build mx4j
pushd lib/build
ln -s $(build-classpath j2ee_management_api) 
ln -s $(build-classpath jboss-ejb-3.1-api) 
ln -s $(build-classpath ognl) 
ln -s $(build-classpath testng-jdk15) 
ln -s %{SOURCE2} objectprofiler.jar
popd

%build
export CLASSPATH=
export OPT_JAR_LIST=:
%{ant} dist

%install
rm -rf %{buildroot}

# jars
install -Dpm 644 dist/%{name}-%{version}.jar  %{buildroot}%{_javadir}/%{name}-%{version}.jar
install -Dpm 644 dist/%{name}-impl-%{version}.jar  %{buildroot}%{_javadir}/%{name}-impl-%{version}.jar
install -Dpm 644 dist/%{name}-%{version}-sources.jar  %{buildroot}%{_javadir}/%{name}-%{version}-sources.jar
install -Dpm 644 dist/%{name}-impl-%{version}-sources.jar  %{buildroot}%{_javadir}/%{name}-impl-%{version}-sources.jar
install -Dpm 644 dist/%{name}-%{version}-javadoc.jar  %{buildroot}%{_javadir}/%{name}-%{version}-javadoc.jar
install -Dpm 644 dist/%{name}-impl-%{version}-javadoc.jar  %{buildroot}%{_javadir}/%{name}-impl-%{version}-javadoc.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; \
    do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%add_to_maven_depmap mc4j %{name} %{version} JPP %{name}

# poms
install -Dpm 644 %{SOURCE1} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr javadocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_datadir}/maven2/poms
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Thu Sep 29 2011 Danesh Mondegarian <dmondega@redhat.com> 0:1.2.15.1-4
- Rebuild for 5.1.2 ER2

* Fri Sep 16 2011 Danesh Mondegarian <dmondega@redhat.com> 0:1.2.15.1-3
- Rebuild for 5.1.2

* Wed Sep 01 2010 David Walluck <dwalluck@redhat.com> 0:1.2.15.1-2
- BuildArch should be noarch
- fix ant call
- move some lines from %%build to %%prep

* Fri Aug 20 2010 Yong Yang <yyang@redhat.com> - 1.2.15.1-1
- Upgrade to 1.2.15.1

* Wed Jul 07 2010 Hui Wang <huwang@redhat.com> - 1.2.11-1
- Initial version of the package
